/*

	This is the source code of

   	M A I T R E Y A
    ===============

	Open source platform for Vedic and western astrology

  File           ConfVedicPanel.h
  Release        4.1
  Author         Martin Pettau
  Copyright (C)  2003-2006 by the author

  Released under the Artistic License as published by the
  Free Software Foundation, read the file 'COPYING' for more information.

*/


#ifndef CONFVEDICPANEL_H
#define CONFVEDICPANEL_H

#ifdef __GNUG__
	#pragma interface "ConfVedicPanel.h"
#endif

#include <wx/panel.h>

// begin wxGlade: dependencies
// end wxGlade

class wxCheckBox;
class wxChoice;
class wxStaticBox;
class wxStaticLine;
class wxStaticText;

/*****************************************************
**
**   CLASS ConfVedicPanel  
**
******************************************************/
class ConfVedicPanel: public wxPanel
{
public:
    // begin wxGlade: ConfVedicPanel::ids
    // end wxGlade

    ConfVedicPanel(wxWindow* parent, int id, const wxPoint& pos=wxDefaultPosition,
			const wxSize& size=wxDefaultSize, long style=0);

	void setData();   
	bool saveData();   

private:
    // begin wxGlade: ConfVedicPanel::methods
    void set_properties();
    void do_layout();
    // end wxGlade
	DECLARE_CLASS( ConfVedicPanel )

protected:
    // begin wxGlade: ConfVedicPanel::attributes
    wxStaticBox* sizer_mainrows_staticbox;
    wxStaticBox* sizer_maincols_staticbox;
    wxStaticBox* sizer_vcharts_staticbox;
    wxStaticText* label_title;
    wxStaticLine* static_line_top;
    wxStaticText* label_chartstyle;
    wxChoice* choice_ichart;
    wxCheckBox* check_iraudhas;
    wxCheckBox* check_iascendants;
    wxCheckBox* check_iretro;
    wxStaticText* label_chartcenter;
    wxChoice* choice_ichart_center;
    wxCheckBox* check_main_d9;
    wxCheckBox* check_main_d10;
    wxCheckBox* check_main_nak;
    wxCheckBox* check_main_bhava;
    wxCheckBox* check_main_pada;
    wxCheckBox* check_main_ashtaka;
    wxCheckBox* check_main_kara;
    wxCheckBox* check_main_kp;
    wxCheckBox* check_main_d60;
    wxCheckBox* check_main_house;
    wxCheckBox* check_main_lagna;
    wxCheckBox* check_main_upa;
    // end wxGlade
};


#endif // CONFVEDICPANEL_H
